HFST-SFSTPL2FST(1)

NAME
hfst-sfstpl2fst - =Compile a file written with SFST programming language into a transducer.

SYNOPSIS
hfst-sfstpl2fst (alias hfst-calculate) [OPTIONS...] [INFILE]

DESCRIPTION
Compile a file written with SFST programming language into a transducer.

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  String and format options:

-f, --format=FMT
    Write result in FMT format

If OUTFILE or INFILE is missing or -, standard streams will be used. FMT must be one of the following: {foma, sfst, openfst-tropical, openfst-log}

EXAMPLES

    echo "[a-z]*" | hfst-sfstpl2fst -f foma > az.foma

    create a foma transducer accepting any number of consecutive characters between a and z, inclusive

    echo "a:b (a:<>)+" > ab.sfst-pl ; hfst-sfstpl2fst -f openfst-tropical \

-i ab.sfst-pl -o ab.tropical

    create a tropical OpenFst transducer that accepts two or more consecutive 'a's and maps them into string "b"

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues> hfst-sfstpl2fst home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstSfstPl2Fst>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.